using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsWorkScheduleToFacility {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int WorkScheduleId { get; set; }
        [Key]
        public int FacilityCode { get; set; }


        [ForeignKey("SiteId,FacilityCode")]
        [InverseProperty("FmsWorkScheduleToFacility")]
        public virtual CmFacility CmFacility { get; set; }
        [ForeignKey("SiteId,WorkScheduleId")]
        [InverseProperty("FmsWorkScheduleToFacility")]
        public virtual FmsWorkSchedule FmsWorkSchedule { get; set; }
    }
}
